# Encounter $encounter-cancel-arrive

`POST /Encounter/$encounter-cancel-arrive`

This resource contains details and outcomes for a patient encounter, which can include one or more providers, locations, and services.

Encounters may encompass preadmission, outpatient visits, telehealth visits, inpatient stays, and discharges, depending on the organization and context for the encounter.

Encounters may contain references to procedures if:

- A procedure was completed during a patient visit.
- A follow-up procedure is scheduled as a result of the encounter. 

You can review, retrieve, save, or cancel encounter details.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $encounter-cancel-arrive

Cancel an `$encounter-arrive` message that was sent previously.

## Request body

Bundle sent to notify that a previous Encounter arrival should be canceled

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a message. Value: message |
| `entry` | Array of messageHeader or encounter or patient or account or observation or relatedPerson or location or condition or procedure or coverage or allergyIntolerance or Other | Yes | An entry in the bundle containing a FHIR resource |
| `entry[] (messageHeader).resource` | object | Yes | Additional metadata about the message including the event |
| `entry[] (messageHeader).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: MessageHeader |
| `entry[] (messageHeader).resource.source` | object | Yes | Information about the sender of the message and the Bundle content. |
| `entry[] (messageHeader).resource.source.endpoint` | string | Yes | Identifies the routing target to send acknowledgements to. |
| `entry[] (messageHeader).resource.source.name` | string | No | Human-readable name for the source system. |
| `entry[] (messageHeader).resource.focus` | Array of object | Yes | This describes the focal target resource of the message from which the remainder of the content is referenced from Must be a resource of type `Encounter`. |
| `entry[] (messageHeader).resource.focus[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (messageHeader).resource.eventUri` | string | Yes | This describes the message being communicated. Value: https://fhir.redoxengine.com/EventDefinition/EncounterCancelArrive |
| `entry[] (encounter).resource` | object | Yes | The core Encounter to create |
| `entry[] (encounter).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Encounter |
| `entry[] (encounter).resource.status` | string | Yes | Current status of the encounter. Possible values: planned, arrived, triaged, in-progress, onleave, finished, cancelled, entered-in-error, unknown |
| `entry[] (encounter).resource.class` | object | Yes | Concepts representing classification of patient encounter such as ambulatory (outpatient), inpatient, emergency, home health or others due to local variations. |
| `entry[] (encounter).resource.class.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.class.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (encounter).resource.class.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (encounter).resource.class.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (encounter).resource.class.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (encounter).resource.class.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.class.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (encounter).resource.class.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.class.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (encounter).resource.class.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.class.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (encounter).resource.class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.class.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (encounter).resource.class.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.class.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.class.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.class.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.class.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.class.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.class.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (encounter).resource.class.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (encounter).resource.class.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (encounter).resource.class.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.class.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.class.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (encounter).resource.class.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.class.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.type` | Array of object | Yes | Specific type of encounter (e.g. e-mail consultation, surgical day-care, skilled nursing, rehabilitation). |
| `entry[] (encounter).resource.type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (encounter).resource.type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (encounter).resource.subject` | object | Yes | The patient or group present at the encounter. Must be a resource of type `Patient`. |
| `entry[] (encounter).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (encounter).resource.location` | Array of object | Yes | List of locations where  the patient has been during this encounter. |
| `entry[] (encounter).resource.location[].location` | object | Yes | The location where the encounter takes place. Must be a resource of type `Location`. |
| `entry[] (encounter).resource.location[].location.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (encounter).resource.location[].status` | string | Yes | The status of the participants' presence at the specified location during the period specified. If the participant is no longer at the location, then the period will have an end date/time. Possible values: planned, active, reserved, completed |
| `entry[] (encounter).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (encounter).resource.extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (encounter).resource.extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (encounter).resource.extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (encounter).resource.extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (encounter).resource.extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (encounter).resource.extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (encounter).resource.extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (encounter).resource.extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (encounter).resource.identifier` | Array of object | No | Identifier(s) by which this encounter is known. |
| `entry[] (encounter).resource.identifier[].system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (encounter).resource.identifier[].value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (encounter).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (encounter).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (encounter).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (encounter).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (encounter).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (encounter).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (encounter).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (encounter).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (encounter).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (encounter).resource.participant` | Array of object | No | The list of people responsible for providing the service. |
| `entry[] (encounter).resource.participant[].type` | Array of object | No | Role of the participant in encounter eg, `ATND`=AttendingProvider, `CON`=ConsultingProvider, `REF`=ReferringProvider, `PART`=VisitProvider |
| `entry[] (encounter).resource.participant[].type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (encounter).resource.participant[].type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.participant[].type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.participant[].type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (encounter).resource.participant[].period` | object | No | The period of time that the specified participant participated in the encounter. These can overlap or be sub-sets of the overall encounter's period. |
| `entry[] (encounter).resource.participant[].period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (encounter).resource.participant[].period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (encounter).resource.participant[].individual` | object | No | Persons involved in the encounter other than the patient. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` - `RelatedPerson` |
| `entry[] (encounter).resource.participant[].individual.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (encounter).resource.period` | object | No | The start and end time of the encounter. |
| `entry[] (encounter).resource.period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (encounter).resource.period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (encounter).resource.length` | object | No | Quantity of time the encounter lasted. This excludes the time during leaves of absence. |
| `entry[] (encounter).resource.length.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (encounter).resource.length.system` | string | No | The identification of the system that provides the coded form of the unit. |
| `entry[] (encounter).resource.length.code` | string | No | A computer processable form of the unit in some unit representation system. |
| `entry[] (encounter).resource.reasonCode` | Array of object | No | Reason the encounter takes place, expressed as a code. For admissions, this can be used for a coded admission diagnosis. |
| `entry[] (encounter).resource.reasonCode[].extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonCode[].extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (encounter).resource.reasonCode[].extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (encounter).resource.reasonCode[].extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.reasonCode[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (encounter).resource.reasonCode[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (encounter).resource.reasonReference` | Array of object | No | Reason the encounter takes place, expressed as a code. For admissions, this can be used for a coded admission diagnosis. Must reference one of the following types of resources: - `Condition` - `Condition` - `Procedure` - `Observation` - `ImmunizationRecommendation` |
| `entry[] (encounter).resource.reasonReference[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].reference` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[]._reference` | object | No | Extensions for reference |
| `entry[] (encounter).resource.reasonReference[]._reference.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[]._reference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[]._reference.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[]._reference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[]._reference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].type` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[]._type` | object | No | Extensions for type |
| `entry[] (encounter).resource.reasonReference[]._type.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[]._type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[]._type.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[]._type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[]._type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier` | object | No | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `entry[] (encounter).resource.reasonReference[].identifier.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `entry[] (encounter).resource.reasonReference[].identifier._use` | object | No | Extensions for use |
| `entry[] (encounter).resource.reasonReference[].identifier._use.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `entry[] (encounter).resource.reasonReference[].identifier.type.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._system` | object | No | Extensions for system |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[].version` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._version` | object | No | Extensions for version |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._code` | object | No | Extensions for code |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[].display` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._display` | object | No | Extensions for display |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.type.text` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type._text` | object | No | Extensions for text |
| `entry[] (encounter).resource.reasonReference[].identifier.type._text.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier._system` | object | No | Extensions for system |
| `entry[] (encounter).resource.reasonReference[].identifier._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.value` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier._value` | object | No | Extensions for value |
| `entry[] (encounter).resource.reasonReference[].identifier._value.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier._value.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.period` | object | No | Time period during which identifier is/was valid for use. |
| `entry[] (encounter).resource.reasonReference[].identifier.period.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.period.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `entry[] (encounter).resource.reasonReference[].identifier.period._start` | object | No | Extensions for start |
| `entry[] (encounter).resource.reasonReference[].identifier.period._start.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].identifier.period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `entry[] (encounter).resource.reasonReference[].identifier.period._end` | object | No | Extensions for end |
| `entry[] (encounter).resource.reasonReference[].identifier.period._end.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[].identifier.period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[].identifier.period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[].identifier.period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.reasonReference[].display` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[]._display` | object | No | Extensions for display |
| `entry[] (encounter).resource.reasonReference[]._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.reasonReference[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (encounter).resource.reasonReference[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (encounter).resource.reasonReference[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (encounter).resource.diagnosis` | Array of object | No | The list of diagnosis relevant to this encounter. |
| `entry[] (encounter).resource.diagnosis[].condition` | object | Yes | Reason the encounter takes place, as specified using information from another resource. For admissions, this is the admission diagnosis. The indication will typically be a Condition (with other resources referenced in the evidence.detail), or a Procedure. Must be a resource of type `Condition`. |
| `entry[] (encounter).resource.diagnosis[].condition.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (encounter).resource.account` | Array of object | No | The set of accounts that may be used for billing for this Encounter. Must be a resource of type `Account`. |
| `entry[] (encounter).resource.account[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (encounter).resource.hospitalization` | object | No | Details about the admission to a healthcare service. |
| `entry[] (encounter).resource.hospitalization.destination` | object | No | Location/organization to which the patient is discharged. Must reference one of the following types of resources: - `Location` - `Organization` |
| `entry[] (encounter).resource.hospitalization.destination.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (encounter).resource.hospitalization.dischargeDisposition` | object | No | Category or kind of location after discharge. |
| `entry[] (encounter).resource.hospitalization.dischargeDisposition.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (encounter).resource.hospitalization.dischargeDisposition.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (encounter).resource.hospitalization.dischargeDisposition.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (encounter).resource.hospitalization.dischargeDisposition.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource` | object | Yes | The Patient associated with this Encounter |
| `entry[] (patient).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Patient |
| `entry[] (patient).resource.identifier` | Array of object | Yes | An identifier for this patient. |
| `entry[] (patient).resource.identifier[].system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (patient).resource.identifier[].value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (patient).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (patient).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (patient).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (patient).resource.name` | Array of object | Yes | A name associated with the individual. |
| `entry[] (patient).resource.name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.name[].given` | Array of string | No | Given name. |
| `entry[] (patient).resource.name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.gender` | string | Yes | Administrative Gender - the gender that the patient is considered to have for administration and record keeping purposes. Possible values: (USCDI) male, female, other, unknown |
| `entry[] (patient).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (patient).resource.extension` | Array of race or ethnicity or birthsex or patient-citizenship or Other | No | Additional information about patients not represented by standard FHIR fields. |
| `entry[] (patient).resource.extension[] (race).extension` | Array of ombCategory or text | Yes | Sub-extensions to carry more information about the patient's ethnicity |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (race).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `entry[] (patient).resource.extension[] (race).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (race).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-race |
| `entry[] (patient).resource.extension[] (ethnicity).extension` | Array of ombCategory or text | Yes | An Extension |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (ethnicity).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity |
| `entry[] (patient).resource.extension[] (birthsex).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-birthsex |
| `entry[] (patient).resource.extension[] (birthsex).valueCode` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). Only one of `valueBase64Binary`, `valueBoolean`, `valueCanonical`, `valueCode`, `valueDate`, `valueDateTime`, `valueDecimal`, `valueId`, `valueInstant`, `valueInteger`, `valueMarkdown`, `valueOid`, `valuePositiveInt`, `valueString`, `valueTime`, `valueUnsignedInt`, `valueUri`, `valueUrl`, `valueUuid`, `valueAddress`, `valueAge`, `valueAnnotation`, `valueAttachment`, `valueCodeableConcept`, `valueCoding`, `valueContactPoint`, `valueCount`, `valueDistance`, `valueDuration`, `valueHumanName`, `valueIdentifier`, `valueMoney`, `valuePeriod`, `valueQuantity`, `valueRange`, `valueRatio`, `valueReference`, `valueSampledData`, `valueSignature`, `valueTiming`, `valueContactDetail`, `valueContributor`, `valueDataRequirement`, `valueExpression`, `valueParameterDefinition`, `valueRelatedArtifact`, `valueTriggerDefinition`, `valueUsageContext`, `valueDosage`, `valueMeta` may be present. Possible values: M, F |
| `entry[] (patient).resource.extension[] (patient-citizenship).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/patient-citizenship |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: code |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (patient).resource.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (patient).resource.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.active` | boolean | No | Whether this patient record is in active use. Many systems use this property to mark as non-current patients, such as those that have not been seen for a period of time based on an organization's business rules. It is often used to filter patient lists to exclude inactive patients Deceased patients may also be marked as inactive for the same reasons, but may be active for some time after death. |
| `entry[] (patient).resource.telecom` | Array of object | No | A contact detail (e.g. a telephone number or an email address) by which the individual may be contacted. |
| `entry[] (patient).resource.telecom[].system` | string | Yes | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: email, fax, other, pager, sms, url |
| `entry[] (patient).resource.telecom[].value` | string | Yes | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (patient).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: mobile, old, temp, work |
| `entry[] (patient).resource.birthDate` | string | No | The date of birth for the individual. |
| `entry[] (patient).resource.address` | Array of object | No | An address for the individual. |
| `entry[] (patient).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (patient).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (patient).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (patient).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (patient).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (patient).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (patient).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (patient).resource.contact` | Array of object | No | A contact party (e.g. guardian, partner, friend) for the patient. |
| `entry[] (patient).resource.contact[].relationship` | Array of object | No | The nature of the relationship between the patient and the contact. Redox sends and recognizes the following values for system: - `http://terminology.hl7.org/CodeSystem/v3-RoleCode` - used as RelationToPatient - `http://terminology.hl7.org/CodeSystem/v2-0131` - used as the ContactRole |
| `entry[] (patient).resource.contact[].relationship[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.contact[].relationship[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.contact[].relationship[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.contact[].relationship[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.contact[].name` | object | No | A name associated with the contact person. |
| `entry[] (patient).resource.contact[].name.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.contact[].name.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.contact[].name.given` | Array of string | No | Given name. |
| `entry[] (patient).resource.contact[].telecom` | Array of object | No | A contact detail for the person, e.g. a telephone number or an email address. |
| `entry[] (patient).resource.contact[].telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (patient).resource.contact[].telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (patient).resource.contact[].telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (patient).resource.contact[].address` | object | No | Address for the contact person. |
| `entry[] (patient).resource.contact[].address.use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (patient).resource.contact[].address.line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (patient).resource.contact[].address.city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (patient).resource.contact[].address.district` | string | No | The name of the administrative area (county). |
| `entry[] (patient).resource.contact[].address.state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (patient).resource.contact[].address.postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (patient).resource.contact[].address.country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (patient).resource.communication` | Array of object | No | A language which may be used to communicate with the patient about his or her health. |
| `entry[] (patient).resource.communication[].language` | object | Yes | The ISO-639-1 alpha 2 code in lower case for the language, optionally followed by a hyphen and the ISO-3166-1 alpha 2 code for the region in upper case; e.g. "en" for English, or "en-US" for American English versus "en-EN" for England English. |
| `entry[] (patient).resource.communication[].language.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.communication[].language.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.communication[].language.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.communication[].language.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.generalPractitioner` | Array of object | No | Patient's nominated care provider. Must be a resource of type `Practitioner`. |
| `entry[] (patient).resource.generalPractitioner[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.managingOrganization` | object | No | Organization that is the custodian of the patient record. Must be a resource of type `Organization`. |
| `entry[] (patient).resource.managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.link` | Array of object | No | Link to another patient resource that concerns the same actual patient. |
| `entry[] (patient).resource.link[].other` | object | Yes | The other patient resource that the link refers to. Must be a resource of type `Patient`. |
| `entry[] (patient).resource.link[].other.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.link[].type` | string | Yes | The type of link between this patient resource and another patient resource. Possible values: replaced-by, replaces |
| `entry[] (patient).resource.deceasedBoolean` | boolean | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `entry[] (patient).resource.deceasedDateTime` | string | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `entry[] (account).resource` | object | Yes | The Account in use for this Encounter -- limited to a single entry |
| `entry[] (account).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Account |
| `entry[] (account).resource.identifier` | Array of object | Yes | Unique identifier used to reference the account.  Might or might not be intended for human use (e.g. credit card number). |
| `entry[] (account).resource.identifier[].id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (account).resource.identifier[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (account).resource.identifier[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (account).resource.identifier[].use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `entry[] (account).resource.identifier[]._use` | object | No | Extensions for use |
| `entry[] (account).resource.identifier[]._use.id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[]._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (account).resource.identifier[]._use.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[]._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (account).resource.identifier[]._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (account).resource.identifier[].type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `entry[] (account).resource.identifier[].type.id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (account).resource.identifier[].type.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (account).resource.identifier[].type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (account).resource.identifier[].type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (account).resource.identifier[].type.coding[].id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (account).resource.identifier[].type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (account).resource.identifier[].type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (account).resource.identifier[].type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (account).resource.identifier[].type.coding[]._system` | object | No | Extensions for system |
| `entry[] (account).resource.identifier[].type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (account).resource.identifier[].type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (account).resource.identifier[].type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (account).resource.identifier[].type.coding[].version` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[]._version` | object | No | Extensions for version |
| `entry[] (account).resource.identifier[].type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (account).resource.identifier[].type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (account).resource.identifier[].type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (account).resource.identifier[].type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (account).resource.identifier[].type.coding[]._code` | object | No | Extensions for code |
| `entry[] (account).resource.identifier[].type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (account).resource.identifier[].type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (account).resource.identifier[].type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (account).resource.identifier[].type.coding[].display` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[]._display` | object | No | Extensions for display |
| `entry[] (account).resource.identifier[].type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (account).resource.identifier[].type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
[...]
